<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1InstancedGeometry.html">InstancedGeometry</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::InstancedGeometry Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a3e1cba903d9f586be34fc4ce5a5051bd">addBatchInstance</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a5eba8321a1db208c35c9d9411feeb35d">addEntity</a>(Entity *ent, const Vector3 &amp;position, const Quaternion &amp;orientation=Quaternion::IDENTITY, const Vector3 &amp;scale=Vector3::UNIT_SCALE)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aeb3018f0ebcdb98a5bba5aaea363e595">addSceneNode</a>(const SceneNode *node)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a21f6c2ed38336ce2e00047a716bccad6">BatchInstanceIterator</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a4546ed89e7717af607688339c1e5b6c1">BatchInstanceMap</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ab407455efb49632b83257d05178144af">build</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a188a4fa6dda283e062ba52c1acc97fd4">buildIndexRemap</a>(T *pBuffer, size_t numIndexes, IndexRemap &amp;remap)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a4a15c298089d120de7027e17e8f41d78">calculateBounds</a>(VertexData *vertexData, const Vector3 &amp;position, const Quaternion &amp;orientation, const Vector3 &amp;scale)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ad948b53c776a8888b502155c92d540b1">destroy</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a7c03ed31cdb65e7e9027e7f3d8c951e4">determineGeometry</a>(SubMesh *sm)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ad73044ba92223663c78d9ab7f9f09a8e">dump</a>(const String &amp;filename) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ae714081b4a85111d7a62ae250a2dc8f5">getBaseAnimationState</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ab5a09403814a39c030e9d3185576179a">getBaseSkeleton</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a4a7137f2e78e4d7e1dd2f6f3b21e4a57">getBaseSkeletonInstance</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a17737a4270298da89c7a5232e905f427">getBatchInstance</a>(const AxisAlignedBox &amp;bounds, bool autoCreate)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a772ffef5fe0918dbed6f0da8510da9f9">getBatchInstance</a>(const Vector3 &amp;point, bool autoCreate)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a5316da0042d27c2be855a60c8dc89f61">getBatchInstance</a>(ushort x, ushort y, ushort z, bool autoCreate)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aaab6e471cf30aa54ac379fd0017500b4">getBatchInstance</a>(uint32 index)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a6f48a3eb521de11f8d7ced0fff0fb226">getBatchInstanceBounds</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ac8a77b074884b319eb63bd24a1d95fc9">getBatchInstanceCentre</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ac4d089c4727f727a37ae177cf7d8c242">getBatchInstanceDimensions</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a7f6174c1f4102c9549efbd37f04a4710">getBatchInstanceIndexes</a>(const Vector3 &amp;point, ushort &amp;x, ushort &amp;y, ushort &amp;z)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#adb6f6f0beaba575e15b7ea1effe72dc2">getBatchInstanceIterator</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a43c08477995e9b6f0a0eddef70b66ff1">getCastShadows</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#afc398b32120ae00ace20e3069a3b649d">getInstancedGeometryInstance</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#af0c6ef9b0f5b930c004875da20203f8d">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a5d35265877b9186a8a8d7ce63c75ab2a">getObjectCount</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a3a0015ae658c26bfd650ff3800607f27">getOrigin</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ab08f9b1ded5565ffbd7b10f5144c9f9c">getProvideWorldInverses</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a384fe23332eed4afcf0b1f6f15801f19">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a9f404793f933325e4a285f03c64595b2">getRenderOperationVector</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a1bf3a55f648c5d9b2c29fc23aa1c9db4">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a4b2f1e1d7d88d9db026522659736237d">getSquaredRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a2d077555ab37c934370addc3d6eb04b2">getVolumeIntersection</a>(const AxisAlignedBox &amp;box, ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a90401da75e78fbef8f0a3beba5d2375b">IndexRemap</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aaa804215a5eb8c89648d61c485bd51d2">InstancedGeometry</a>(SceneManager *owner, const String &amp;name)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a31f2a991d0408213228f87912c9c9af0">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ade2a91561b83b3c75121cac8b7dc7bd9">mAnimationState</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a2ff6088d593edfc7aad918934575c2c3">mBaseSkeleton</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aff6488356660d1fb80db273dc2724689">mBatchInstanceDimensions</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#adbac3e52aee3e2c13e6ceca4efd0d200">mBatchInstanceMap</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aa866a1a7a86910daf0dac793ea84d3c2">mBuilt</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a4d5aca43e05ce724579de4def37c16a0">mCastShadows</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a9499bb5fc77b40ddf1e379d439ae12e9">mHalfBatchInstanceDimensions</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a62ed886385b89556726ff2e62c1eb573">mInstancedGeometryInstance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ad0866c902b750a8a6cc4039c2d585638">mName</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a168258d3ffc60c2b8c4fd32e0e9f2aac">mObjectCount</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a6e394d3de040cbcdc3e937fe0f3e1d69">mOptimisedSubMeshGeometryList</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a36873914c88f40560641dac073ab369e">mOrigin</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a1fc2ae5f670a15fecd5bd4dda1958269">mOwner</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a1fa098938218e798d3e68d7093af3947">mProvideWorldInverses</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#af40f52243e075bfc4760cb71553d7647">mQueuedSubMeshes</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#afd0fe78cb21ede04d594c9eecd2a9c42">mRenderOps</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a5cb5691aa3caaa8f3e12cbff31579195">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aa8b0e0f522ce82221063d55c5a543717">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a899a6bd38b262d9904dde1fd4bd012ea">mSkeletonInstance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a0898c7dcd2e1063bab952c5d4b8352e2">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#acabd9f112b410b86db1d39add6d17825">mSubMeshGeometryLookup</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ae30b8ddc4a5afa3ede4f7b724cd9f526">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a5f293f9a5c9fdb3599b1e0d7da2613fa">mVisible</a></td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ad55e306d723294898efce61b8fee4afd">OptimisedSubMeshGeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a2017048c7e51418d1b323106cd013639">packIndex</a>(ushort x, ushort y, ushort z)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ac2b1801eb919bac5b322873ad0fa94e9">QueuedGeometryList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#add09eceab76155801c0d13e58725948c">QueuedSubMeshList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a41b033950222af2f28d9e48e0f277dae">QueuedSubMeshOriginList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#adcef4e4a25d95f8e4f96c2c3c41ddbd6">remapIndexes</a>(T *src, T *dst, const IndexRemap &amp;remap, size_t numIndexes)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ae31b007081ab833e0e4d765c35b95e6f">RenderOperationVector</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ab8632b494893d401223809aa6e46c116">reset</a>(void)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a36a6e1ba1bb914952bc770b7fd9efba8">setBatchInstanceDimensions</a>(const Vector3 &amp;size)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a88c4fc57cd22cee1a872645bff85cda9">setCastShadows</a>(bool castShadows)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a9eb32feb4fee6caa83e2fa10baa4b892">setOrigin</a>(const Vector3 &amp;origin)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a39f94add27115f6a1828657f7d54b9ad">setProvideWorldInverses</a>(bool flag)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aecddfc19474fed2096110078c7654602">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#ae1b086f16d099bbb05cc2da85e803c1e">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aa5d985e15c01521fb463dfd5c8f14bbf">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aa1cb20af883c0169996749031827f5c6">splitGeometry</a>(VertexData *vd, IndexData *id, SubMeshLodGeometryLink *targetGeomLink)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#aba0214cf52c88b8558d045827dc26a0f">SubMeshGeometryLookup</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a84b26052c84c3a6e3394416fbdb68735">SubMeshLodGeometryLinkList</a> typedef</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#a4043d69c13710081777a511d9d52623d">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1InstancedGeometry.html#af1751ab667535563548b61da78a936af">~InstancedGeometry</a>()</td><td><a class="el" href="classOgre_1_1InstancedGeometry.html">Ogre::InstancedGeometry</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
